Create Contact Export
curl --request POST \
--url https://api.member.dev/api/v1/teams/{team_id}/contacts/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"file_name": "<string>",
"fields": [],
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"type": "contact_exports"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/contacts/exports"
payload = { "data": {
"attributes": {
"file_name": "<string>",
"fields": [],
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"type": "contact_exports"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {
file_name: '<string>',
fields: [],
segment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
type: 'contact_exports'
}
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/contacts/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/teams/{team_id}/contacts/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'file_name' => '<string>',
'fields' => [
],
'segment_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'type' => 'contact_exports'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/teams/{team_id}/contacts/exports"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"file_name\": \"<string>\",\n \"fields\": [],\n \"segment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"type\": \"contact_exports\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/teams/{team_id}/contacts/exports")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"attributes\": {\n \"file_name\": \"<string>\",\n \"fields\": [],\n \"segment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"type\": \"contact_exports\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/teams/{team_id}/contacts/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"file_name\": \"<string>\",\n \"fields\": [],\n \"segment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"type\": \"contact_exports\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"contact_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"download_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"fields": [
"<string>"
],
"file_name": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"segment_id": "<string>",
"status": "<string>"
},
"id": "<string>",
"links": {
"self": "<string>"
},
"type": "contact_exports"
}
}{
"data": {
"attributes": {
"contact_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"download_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"fields": [
"<string>"
],
"file_name": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"segment_id": "<string>",
"status": "<string>"
},
"id": "<string>",
"links": {
"self": "<string>"
},
"type": "contact_exports"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}contacts-admin
Create Contact Export
Start an export of all contacts or one segment. Answers 201 with a queued export.
email is always the first column. An Idempotency-Key replay with the same body
answers 200 with the stored export. One live export per team, 10 starts per hour.
POST
/
api
/
v1
/
teams
/
{team_id}
/
contacts
/
exports
Create Contact Export
curl --request POST \
--url https://api.member.dev/api/v1/teams/{team_id}/contacts/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"file_name": "<string>",
"fields": [],
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"type": "contact_exports"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/contacts/exports"
payload = { "data": {
"attributes": {
"file_name": "<string>",
"fields": [],
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"type": "contact_exports"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {
file_name: '<string>',
fields: [],
segment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
type: 'contact_exports'
}
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/contacts/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/teams/{team_id}/contacts/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'file_name' => '<string>',
'fields' => [
],
'segment_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'type' => 'contact_exports'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/teams/{team_id}/contacts/exports"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"file_name\": \"<string>\",\n \"fields\": [],\n \"segment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"type\": \"contact_exports\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/teams/{team_id}/contacts/exports")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"attributes\": {\n \"file_name\": \"<string>\",\n \"fields\": [],\n \"segment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"type\": \"contact_exports\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/teams/{team_id}/contacts/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"file_name\": \"<string>\",\n \"fields\": [],\n \"segment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"type\": \"contact_exports\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"contact_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"download_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"fields": [
"<string>"
],
"file_name": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"segment_id": "<string>",
"status": "<string>"
},
"id": "<string>",
"links": {
"self": "<string>"
},
"type": "contact_exports"
}
}{
"data": {
"attributes": {
"contact_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"download_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"fields": [
"<string>"
],
"file_name": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"segment_id": "<string>",
"status": "<string>"
},
"id": "<string>",
"links": {
"self": "<string>"
},
"type": "contact_exports"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}